Package twisted :: Package python :: Module reflect :: Class Promise

[show private | hide private]
[frames | no frames]

## Class Promise

I represent an object not yet available.

Methods called on me will be queued and sent as soon as the object becomes available. Typically my `__become__` method is registered as a callback with some event that will return my new identity.

Method Summary
| `__init__(self)`
| `__become__(self, new_self)`
| `__getattr__(self, key)`

Generated by Epydoc 1.1 on Thu May 8 13:16:49 2003 | http://epydoc.sf.net